Bug 224087 - comms/uhd: fails to build with boost 1.66
Summary: comms/uhd: fails to build with boost 1.66
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Reifenberger
URL:
Keywords: needs-patch
Depends on:
Blocks: 223922
  Show dependency treegraph
 
Reported: 2017-12-04 17:42 UTC by Jan Beich
Modified: 2018-01-21 17:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mr)


Attachments
Patches (917 bytes, application/gzip)
2017-12-18 15:12 UTC, Michael Reifenberger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-04 17:42:59 UTC
As part of exp-run in bug 223922 this port was found to break on Boost update. If the issue won't disappear on its own by Boost release I plan to mark the port as BROKEN. Can you check with upstream maintainer or help with a fix?

$ fetch -qo- 'https://reviews.freebsd.org/D13279?download=true' | patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/comms/uhd
[...]
host/lib/transport/udp_zero_copy.cpp:193:29: error: no member named 'native' in 'boost::asio::basic_datagram_socket<boost::asio::ip::udp>'
        _sock_fd = _socket->native();
                   ~~~~~~~  ^

http://package23.nyi.freebsd.org/data/103i386-default-PR223922/2017-12-02_11h06m37s/logs/errors/uhd-3.10.1.1_4.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR223922/2017-12-02_11h06m39s/logs/errors/uhd-3.10.1.1_4.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR223922/2017-12-03_09h31m05s/logs/errors/uhd-3.10.1.1_4.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223922/2017-12-03_09h31m14s/logs/errors/uhd-3.10.1.1_4.log
Comment 1 Michael Reifenberger freebsd_committer 2017-12-18 15:12:07 UTC
Created attachment 188930 [details]
Patches

Hi,
please try the attached patches.
Comment 2 Jan Beich freebsd_committer 2017-12-18 18:30:09 UTC
Comment on attachment 188930 [details]
Patches

I confirm, it fixes the build with Boost 1.66.0.
10.3 i386 build log:  http://sprunge.us/FHja
11.1 amd64 build log: http://sprunge.us/TKPA
Comment 3 commit-hook freebsd_committer 2018-01-21 16:03:45 UTC
A commit references this bug:

Author: mr
Date: Sun Jan 21 16:03:12 UTC 2018
New revision: 459615
URL: https://svnweb.freebsd.org/changeset/ports/459615

Log:
  Try to unbreak the build for boost 1.66

  PR:		224087

Changes:
  head/comms/uhd/Makefile
  head/comms/uhd/files/patch-host_examples_network_relay.cpp
  head/comms/uhd/files/patch-host_lib_transport_tcp_zero_copy.cpp
  head/comms/uhd/files/patch-host_lib_transport_udp_simple.cpp
  head/comms/uhd/files/patch-host_lib_transport_udp_zero_copy.cpp
Comment 4 Michael Reifenberger freebsd_committer 2018-01-21 17:07:03 UTC
Should be fixed now.

Greetings
---
Michael Reifenberger